<nav class="navbar navbar-expand-sm nav-bg ">
    <div class="container">
        <a class="navbar-brand"><img src="./assets/build/img/logo/logo-1.png" /></a>

        <div class="collapse navbar-collapse nav-colp" id="mynavbar">
        </div>
    </div>
</nav>
<div class="container mt-3 design-Sell">
    <div class="row">

        <!-- multistep form -->


        <form [formGroup]="registerform" (ngSubmit)="register()">
            <input type="radio" class="hidden" id="step-0" name="progress" checked />
            <fieldset class="show-when-checked card card-3">
                <div class="progress">
                    <div class="progress-bar" role="progressbar" style="width: 25%" aria-valuenow="0" aria-valuemin="0"
                        aria-valuemax="100"></div>
                </div>
                <h1 style="font-size: 28px;font-weight: bold;" class="pt-5">Informations Sur Le Vendeur</h1><br>
                <div class="row">
                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                        <label><span class="star">*</span> Type de vendeur</label>
                    </div>
                    <div class="col-8 col-md-8 col-sm-12 col-12" style="text-align: initial;">
                        <ul class="radio-ul">
                            <li><label class=""><input class="w-a" type="radio" value="individual"
                                        formControlName="vendortype" (change)="getindivisual($event)" /> Individuel
                                </label>
                            </li>&nbsp;&nbsp;&nbsp;&nbsp;
                            <li><label class="">
                                    <input class="w-a" type="radio" value="Entreprise enregistrée"
                                        formControlName="vendortype" (change)="getindivisual($event)" /> Entreprise
                                    enregistrée

                                </label>
                            </li>

                        </ul>
                        <div class="errormsg"
                            *ngIf="registerform.get('vendortype')?.touched && registerform.get('vendortype')?.hasError('required')">

                            <h4> <b>Type de vendeur requis</b></h4>
                        </div>
                    </div>
                </div>


                <div class="myDiv">


                </div>
                <div class="myDiv" style="display:block;">

                    <ng-container *ngIf=" notindiviual == 'individual'; else elseCompany ">
                        <div class="row">
                            <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                                <label><span class="star">*</span> Documents du gérant (carte d'identité ou passeport)</label>
                            </div>
                            <div class="col-8 col-md-8 col-sm-12 col-12" style="text-align: initial;">
                                <ul class="radio-ul">
                                    <li><label class=""><input class="w-a" type="radio" value="id"
                                                formControlName="documentType" (change)="documentTypeFun($event)" checked="true" /> ID
                                        </label>
                                    </li>&nbsp;&nbsp;&nbsp;&nbsp;
                                    <li><label class="">
                                            <input class="w-a" type="radio" value="passport"
                                                formControlName="documentType" (change)="documentTypeFun($event)" /> Passeport
        
                                        </label>
                                    </li>
        
                                </ul>
                                <div class="errormsg"
                                    *ngIf="registerform.get('documentType')?.touched && registerform.get('documentType')?.hasError('required')">
        
                                    <h4> <b>Documents du gérant requis</b></h4>
                                </div>
                                
                            </div>
                        </div>
    
                        <ng-container *ngIf="documentTypeVar == 'id'; else elsePassport1 ">
                            <div class="row mb-3 pb-3">
                                <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                                    <label class="pt-8">Recto</label>
                                </div>
                                <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                                    <!-- <input type="file" class="form-control" id="" name="" > -->
                                    <div class="fo-rm">
                                        <input class="fom-up" type="file" (change)="onFileUpdatefront($event)">
                                        <p class="fomp"><span class="w-100 d-block">Ajouter une image</span>
                                            <!-- <img class="mw-100" src="./assets/build/img/upload.png"> -->
                                            <i class="fa fa-upload"></i>
                                        </p>
        
                                    </div>
                                    <div class="fo-rm showimage" *ngIf="forntimage">
                                        <img src="{{forntimage}}" alt="" class="image-show" width="146x" height="96px">
                                    </div>
                                </div>
                            </div>
    
                            <div class="row mb-3 pb-3">
                                <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                                    <label class="pt-8">Verso</label>
                                </div>
                                <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
        
                                    <div class="fo-rm">
                                        <input class="fom-up" type="file" (change)="onFileUpdateback($event)">
                                        <p class="fomp"><span class="w-100 d-block">Ajouter une image</span>
                                            <!-- <img class="mw-100" src="./assets/build/img/upload.png"> -->
                                            <i class="fa fa-upload"></i>
                                        </p>
        
                                    </div>
                                    <div class="fo-rm showimage" *ngIf="backimage">
                                        <img src="{{backimage}}" alt="" class="image-show" width="146x" height="96px">
                                    </div>
                                </div>
                            </div>
    
    
                        </ng-container>
                        <ng-template #elsePassport1>
                            <div class="row mb-3 pb-3" *ngIf="documentTypeVar != '' ">
                                <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                                    <label class="pt-8"> </label>
                                </div>
                                <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                                    <!-- <input type="file" class="form-control" id="" name="" > -->
                                    <div class="fo-rm">
                                        <input class="fom-up" type="file" (change)="onFileUpdatefront($event)">
                                        <p class="fomp"><span class="w-100 d-block">Ajouter une image</span>
                                            <!-- <img class="mw-100" src="./assets/build/img/upload.png"> -->
                                            <i class="fa fa-upload"></i>
                                        </p>
        
                                    </div>
                                    <div class="fo-rm showimage" *ngIf="forntimage">
                                        <img src="{{forntimage}}" alt="" class="image-show" width="146x" height="96px">
                                    </div>
                                </div>
                            </div>
                        </ng-template>


                    </ng-container>
                    <ng-template #elseCompany>

                    
                        <div class="row mb-3 pb-3" *ngIf="notindiviual != '' " >
                            
                            
                            <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                                <label class="pt-8">Nom de la société</label>
                            </div>
                            <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                                <input type="text" class="form-control" id="" name="" formControlName="companyname">
                                <div class="errormsg"
                                    *ngIf="registerform.get('companyname')?.touched && registerform.get('companyname')?.hasError('required')">

                                    <br>
                                    <h4> <b>Nom de la société requis</b></h4>
                                </div>
                            </div>
                            
                            <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                                <label class="pt-8">Numéro de registre de commerce</label>
                            </div>
                            <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                                <input type="text" class="form-control" id="" name="" formControlName="company_registration_number">
                                <div class="errormsg"
                                    *ngIf="registerform.get('company_registration_number')?.touched && registerform.get('company_registration_number')?.hasError('required')">

                                    <br>
                                    <h4> <b>Numéro de registre de commerce requis</b></h4>
                                </div>
                            </div>


                            <div class="row mb-3 pb-3" >
                                <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                                    <label class="pt-8"> Document d'immatriculation  </label>
                                </div>
                                <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                                    <!-- <input type="file" class="form-control" id="" name="" > -->
                                    <div class="fo-rm">
                                        <input class="fom-up" type="file" (change)="onFileUploadRegistrationNumber($event)">
                                        <p class="fomp"><span class="w-100 d-block">Ajouter une image</span>
                                            <!-- <img class="mw-100" src="./assets/build/img/upload.png"> -->
                                            <i class="fa fa-upload"></i>
                                        </p>
        
                                    </div>
                                    <div class="fo-rm showimage" *ngIf="registrationFilesShow">
                                        <img src="{{registrationFilesShow}}" alt="" class="image-show" width="146x" height="96px">
                                    </div>
                                </div>
                            </div>






                            
        
        
                            <div class="row">
                                <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                                    <label><span class="star">*</span> Documents du gérant (carte d'identité ou passeport)</label>
                                </div>
                                <div class="col-8 col-md-8 col-sm-12 col-12" style="text-align: initial;">
                                    <ul class="radio-ul">
                                        <li><label class=""><input class="w-a" type="radio" value="id"
                                                    formControlName="documentType" (change)="documentTypeFun($event)" checked="true" /> ID
                                            </label>
                                        </li>&nbsp;&nbsp;&nbsp;&nbsp;
                                        <li><label class="">
                                                <input class="w-a" type="radio" value="passport"
                                                    formControlName="documentType" (change)="documentTypeFun($event)" /> Passeport
            
                                            </label>
                                        </li>
            
                                    </ul>
                                    <div class="errormsg"
                                        *ngIf="registerform.get('documentType')?.touched && registerform.get('documentType')?.hasError('required')">
            
                                        <h4> <b>Documents du gérant requis</b></h4>
                                    </div>
                                    
                                </div>
                            </div>
        
                            <ng-container *ngIf="documentTypeVar == 'id'; else elsePassport ">
                                <div class="row mb-3 pb-3">
                                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                                        <label class="pt-8">Recto</label>
                                    </div>
                                    <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                                        <!-- <input type="file" class="form-control" id="" name="" > -->
                                        <div class="fo-rm">
                                            <input class="fom-up" type="file" (change)="onFileUpdatefront($event)">
                                            <p class="fomp"><span class="w-100 d-block">Ajouter une image</span>
                                                <!-- <img class="mw-100" src="./assets/build/img/upload.png"> -->
                                                <i class="fa fa-upload"></i>
                                            </p>
            
                                        </div>
                                        <div class="fo-rm showimage" *ngIf="forntimage">
                                            <img src="{{forntimage}}" alt="" class="image-show" width="146x" height="96px">
                                        </div>
                                    </div>
                                </div>
        
                                <div class="row mb-3 pb-3">
                                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                                        <label class="pt-8">Verso</label>
                                    </div>
                                    <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
            
                                        <div class="fo-rm">
                                            <input class="fom-up" type="file" (change)="onFileUpdateback($event)">
                                            <p class="fomp"><span class="w-100 d-block">Ajouter une image</span>
                                                <!-- <img class="mw-100" src="./assets/build/img/upload.png"> -->
                                                <i class="fa fa-upload"></i>
                                            </p>
            
                                        </div>
                                        <div class="fo-rm showimage" *ngIf="backimage">
                                            <img src="{{backimage}}" alt="" class="image-show" width="146x" height="96px">
                                        </div>
                                    </div>
                                </div>
        
        
                            </ng-container>
                            <ng-template #elsePassport>
                                <div class="row mb-3 pb-3" *ngIf="documentTypeVar != '' ">
                                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                                        <label class="pt-8"> </label>
                                    </div>
                                    <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                                        <!-- <input type="file" class="form-control" id="" name="" > -->
                                        <div class="fo-rm">
                                            <input class="fom-up" type="file" (change)="onFileUpdatefront($event)">
                                            <p class="fomp"><span class="w-100 d-block">Ajouter une image</span>
                                                <!-- <img class="mw-100" src="./assets/build/img/upload.png"> -->
                                                <i class="fa fa-upload"></i>
                                            </p>
            
                                        </div>
                                        <div class="fo-rm showimage" *ngIf="forntimage">
                                            <img src="{{forntimage}}" alt="" class="image-show" width="146x" height="96px">
                                        </div>
                                    </div>
                                </div>
                            </ng-template>







                        </div>
                    </ng-template>

                    
                    


                    

                </div>

                <label for="{{mystep}}" class="enable-when-valid btn" style="border: 1px solid;float: right;"
                    (click)="firststep()">Suivant</label>
            </fieldset>

            <input type="radio" class="hidden" id="step-1" name="progress" />
            <fieldset class="show-when-checked card card-3">
                <div class="progress">
                    <div class="progress-bar" role="progressbar" style="width: 50%" aria-valuenow="0" aria-valuemin="0"
                        aria-valuemax="100"></div>
                </div>
                <h1 style="font-size: 28px;font-weight: bold;" class="pt-5">Informations sur la boutique</h1><br>
                <div class="row mb-3">
                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                        <label class="pt-8"><span class="star">*</span>Nom de la boutique</label>
                    </div>
                    <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                        <input type="text" class="form-control" id="" name="" formControlName="shopname">
                        <div class="errormsg"
                            *ngIf="registerform.get('shopname')?.touched && registerform.get('shopname')?.hasError('required')">

                            <br>
                            <h4> <b>Nom de la société requis</b></h4>
                        </div>
                    </div>

                </div>
                <div class="row mb-3 pb-3">
                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                        <label class="pt-7">Adresse de ramassage</label>
                    </div>
                    <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                        <div class="relative">
                            <input type="text" class="form-control mar-ker" id="" placeholder=" Votre position" name=""
                                (onAddressChange)="handleAddressChange2($event)" ngx-google-places-autocomplete>
                            <i class="fa-solid fa-location-dot"></i>
                            <div class="errormsg" [hidden]="pickadderr">
                            

                            <br>
                            <h4> <b>Adresse de ramassage requis</b></h4>
                        </div>
                        </div>

                    </div>

                </div>
                <div class="row mb-3 pb-3">
                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                        <label class="pt-8">Image de la banniere de la boutique</label>
                    </div>
                    <div class="col-5 col-md-5 col-sm-12 col-12 position-r">


                        <div class="fo-rm">
                            <input class="fom-up" type="file" (change)="onFileUpdate($event)">
                            <p class="fomp"><span class="w-100 d-block">Ajouter une image</span>
                                <!-- <img class="mw-100" src="./assets/build/img/upload.png"> -->
                                <i class="fa fa-upload"></i>
                            </p>

                        </div>
                        <div class="fo-rm showimage" *ngIf="shopimage">
                            <img src="{{shopimage}}" alt="" class="image-show" width="146x" height="96px">
                        </div>
                    </div>
                </div>
                <div class="row mb-3 pb-3">
                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                        <label class="pt-8"><span class="star"></span>Description de la boutique</label>
                    </div>
                    <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                        <textarea name="" id="" cols="100" rows="50" class="form-control"
                            formControlName="shopdesc"></textarea>
                    </div>
                </div>
                <!-- <div class="row mb-3">
                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                        <label class="pt-8"><span class="star">*</span>Courriel</label>
                    </div>
                    <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                        <input type="text" readonly="true" class="form-control" id="" placeholder="{{myemail}}"
                            value="{{myemail}}" name="" formControlName="email">
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                        <label class="pt-8"><span class="star">*</span>Numéro de téléphone</label>
                    </div>
                    <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                        <div style="display: flex;">
                            
                            <input type="text" class="form-control" required id="phone" placeholder="" name="email"
                                formControlName="phone" readonly="true">
                        </div>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                        <label class="pt-8"><span class="star">*</span>Nom complet</label>
                    </div>
                    <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                        <input class="form-control" type="tel" id="mobile-number" formControlName="fullname"
                            readonly="true">
                    </div>
                </div> -->

                <label for="{{mystep}}" (click)="secondstep()" class="btn btn-next" style="border: 1px solid;float: right;">Suivant</label>
                <label for="step-0" class="btn btn-back" style="border: 1px solid;float: right;">Retour</label>

            </fieldset>

            <input type="radio" class="hidden" id="step-2" name="progress" />
            <fieldset class="show-when-checked card card-3">
                <div class="progress">
                    <div class="progress-bar" role="progressbar" style="width: 75%" aria-valuenow="0" aria-valuemin="0"
                        aria-valuemax="100"></div>
                </div>
                <h1 style="font-size: 28px;font-weight: bold;" class="pt-5">Coordonnées bancaires</h1><br>
                <div class="row mb-3">
                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                        <label class="pt-8">Nom de la banque</label>
                    </div>
                    <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                        <input type="text" class="form-control" id="" name="" formControlName="bank_name">
                        <div class="errormsg"
                            *ngIf="registerform.get('bank_name')?.touched && registerform.get('bank_name')?.hasError('required')">

                            <br>
                            <h4> <b>Nom de la banque requis</b></h4>
                        </div>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                        <label class="pt-8">Nom du titulaire du compte</label>
                    </div>
                    <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                        <input type="text" class="form-control" id="" name="" formControlName="account_name">
                        <div class="errormsg"
                            *ngIf="registerform.get('account_name')?.touched && registerform.get('account_name')?.hasError('required')">

                            <br>
                            <h4> <b>Nom du titulaire du compte requis</b></h4>
                        </div>
                    </div>
                </div>

                <div class="row mb-3">
                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                        <label class="pt-8">BIC</label>
                    </div>
                    <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                        <input type="text" class="form-control" id="" name="" formControlName="bic">
                        <div class="errormsg"
                            *ngIf="registerform.get('bic')?.touched && registerform.get('bic')?.hasError('required')">

                            <br>
                            <h4> <b>BIC requis</b></h4>
                        </div>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                        <label class="pt-8">IBAN</label>
                    </div>
                    <div class="col-5 col-md-5 col-sm-12 col-12 position-r">
                        <input type="text" class="form-control" id="" name="" formControlName="iban">
                        <div class="errormsg"
                        *ngIf="registerform.get('iban')?.touched && registerform.get('iban')?.hasError('required')">

                        <br>
                        <h4> <b>IBAN requis</b></h4>
                    </div>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-4 col-md-4 col-sm-12 col-12 scr-r">
                        <label class="pt-8">Adresse de la banque</label>
                    </div>
                    <div class="col-5 col-md-5 col-sm- 
                    12 col-12 position-r">
                        <input type="text" class="form-control" id="" name=""
                            (onAddressChange)="handleAddressChange($event)" ngx-google-places-autocomplete>
                            <div class="errormsg" [hidden]="bankadderr">
                            

                                <br>
                                <h4> <b>Adresse de la banque requis</b></h4>
                            </div>
                    </div>
                </div>

                <label for="{{mystep}}" class="enable-when-valid btn"
                    style="border: 1px solid;float: right;" (click)="thirdstep()">Suivant</label>
                <label for="step-1" class="btn btn-back" style="border: 1px solid;float: right;">Retour </label>
            </fieldset>


            <input type="radio" class="hidden" id="step-3" name="progress" />
            <fieldset class="show-when-checked card card-3">
                <div class="container">
                    <div class="row pt-3 mob-p-0">
                        <div class="col-lg-12 m-a">

                            <div class="row mb-3">


                                <div class="col-lg-6 col-md-6 col-sm-12 col-12" *ngFor="let sub of getSubscriptiondata">
                                    <div class="panel panl-o">
                                        <div class="panel-header ph-o">
                                            <h5>{{sub.package}}</h5>
                                        </div>
                                        <div class="panel-body pnl-body">
                                            <div class="col-12">
                                                <div class="pack1">
                                                    <label class="containerc">
                                                        <input type="radio" name="tax" (click)="sendSubscription(sub)">
                                                        <span class="checkmarkc"></span>
                                                        <span *ngIf="sub.package == 'individual' "> article vendu</span>
                                                        <span *ngIf="sub.package == 'professional' "> mois</span>
                                                        <span class="cfa-p">{{sub.price| number : '1.2-2'}} CFA</span>
                                                        <p>+frais de ventre supplementaires</p>

                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div>
                                                    <ul class="pack-ul">
                                                        <!-- <li>
                                                            <label class="containers">Vous vendez mois de 40 articles
                                                                par mois
                                                                <input type="checkbox" checked="checked">
                                                                <span class="checkmarks"></span>
                                                            </label>
                                                        </li> -->
                                                        <li>
                                                            <label class="containers">{{sub.description}}
                                                                <input type="checkbox" checked="checked">
                                                                <span class="checkmarks"></span>
                                                            </label>
                                                        </li>
                                                        <!-- <li>
                                                            <label class="containers">Vous souhaitez beneficer de la
                                                                meilleure position sur les pages detaillees de produits
                                                                <input type="checkbox" checked="checked">
                                                                <span class="checkmarks"></span>
                                                            </label>
                                                        </li> -->

                                                    </ul>
                                                </div>
                                            </div>
                                            <div class="botm-btn">
                                                <div class="text-center mt-3">
                                                    <a href="javascript:void0;" class="btn btn-fill"> Souscrire au plan
                                                        de vente {{sub.package}}</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- Nav pills -->
                        </div>
                    </div>
                </div>

                <!-- <div *ngIf="showmymodal">
                    <div class="alert alert-success">
                        <p>Nous avons soumis votre candidature avec succès. Nous vous enverrons un courriel lorsque nous aurons examiné votre candidature.</p>
                        <button type="button" class="btn btn-back" routerLink="/login" style="width: 20%;"><b>OK</b></button>
                    </div>


                </div> -->
                <div class="comeBack_up" *ngIf="mainSubAPIres">
                    <div *ngIf="mainSubAPIres.status == false; else loggedOut">
                        <div class="alert alert-danger"><strong>{{ mainSubAPIres.message }}</strong></div>
                    </div>
                    <ng-template #loggedOut>
                        <div class="alert alert-success"><strong>{{ mainSubAPIres.message }}</strong></div>
                    </ng-template>
                </div>

                <button type="submit" class=" btn btn-success" style="float: right;"> Soumettre</button>


                <label for="step-2" class="btn btn-back" style="border: 1px solid;float: right;">Retour</label>
            </fieldset>
        </form>
    </div>
</div>


<footer class="footr-styl mt-0">
    <div class="container mw-96">
        <div class="row">
            <div class="col-lg-3 col-md-3 col-sm-6 col-6">
                <div class="fu-p">
                    <p class="fotr-p">A propos de nous</p>
                    <ul class="footr-s">
                        <li><a routerLink="/about_us">À propos d'Oblack</a></li>
                    </ul>
                    <h6>Retrouvez-nous sur</h6>
                    <ul class="social-fotr">
                        <li><a><i class="fa-brands fa-square-facebook"></i></a></li>
                        <li><a><i class="fa-brands fa-square-instagram"></i></a></li>
                    </ul>
                </div>
            </div>
            <div class="col-lg-3 col-md-3 col-sm-6 col-6">
                <div class="fu-p">
                    <p class="fotr-p">Gagnez de l'argent</p>
                    <ul class="footr-s">
                        <li><a routerLink="/dashboard">Vendez sur Oblack</a></li>
                    </ul>
                </div>
            </div>
            <div class="col-lg-3 col-md-3 col-sm-6 col-6">
                <div class="fu-p">
                    <p class="fotr-p">besoin d'aide?</p>
                    <ul class="footr-s">
                        <li><a routerLink="/contact_us">Contact</a></li>
                    </ul>
                </div>
            </div>
            <div class="col-lg-3 col-md-3 col-sm-6 col-6">
                <div class="fu-p">
                    <p class="fotr-p">NOS APPLICATION</p>
                    <div class="row">
                        <div class="col-6"><img class="mw-100" src="./assets/build/img/event/Artboard-20.png"></div>
                        <div class="col-6"><img class="mw-100" src="./assets/build/img/event/Artboard-21.png"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>
<!--seconf footer-->
<div class="container-fluid bg-footr">
    <footer class="row ffotr-2">
        <div class="row">
            <div class="col-md-7 ">
                <ul class="fottr-ul-2 ">
                    <li><a routerLink="/termsandconditions">Conditions générales de vente</a></li>
                    <li><a routerLink="/your_personal">Vos informations personnelles</a></li>
                </ul>
            </div>
            <div class="col-md-5 a-s-c text-right">
                <p class="copy-msg">© O'Black </p>
            </div>
        </div>
    </footer>
<!--second footer end-->
<!--ajouter address-->
<!-- <div class="modal" id="myModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Ajouter une nouvelle adresse</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <div class="modal-body ajou-modl">
                <form action="/action_page.php">
                    <div class="mb-3 mt-3">
                        <label class="mb-5" for="fullname">Nom complet</label>
                        <input type="text" class="form-control" id="" placeholder="Input" name="">
                    </div>
                    <div class="mb-3">
                        <label class="mb-5" for="pnumber">Numéro de téléphone</label>
                        <input type="number" class="form-control" id="" placeholder="Input" name="">
                    </div>
                    <div class="mb-3">
                        <h6><strong>Adresse</strong></h6>
                    </div>
                    <div class="mb-3">
                        <label class="mb-5" for="pnumber">État/Région</label>
                        <select class="form-select">
                            <option>Veuillez choisir</option>
                            <option>Paris</option>
                            <option>Paris</option>
                            <option>Paris</option>
                        </select>
                    </div>
                    <div class="mb-3">
                        <label class="mb-5" for="comment">Adresse détaillée</label>
                        <textarea class="form-control" rows="4" placeholder="numéro d'unité, bâtiment, rue, etc..."
                            id="comment" name="text"></textarea>
                    </div>
                    <div class="mb-3">
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-12">
                                <input type="text" class="form-control" placeholder="Code postal" />
                            </div>
                            <div class="col-lg-9 col-md-9 col-sm-9 col-12">
                                <input type="text" class="form-control" placeholder="Sélectionnez l'emplacement" />
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-blank">Annuler</button>
                <button type="button" class="btn btn-fill" (click)="register()" >save</button>
            </div>
        </div>
    </div>
</div> -->


<div class="modal" id="myModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <!-- <h4 class="modal-title">Modal Heading</h4> -->
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>

            <!-- Modal body -->
            <div class="modal-body modal-height">
                <app-wait-mseege></app-wait-mseege>
            </div>

            <!-- Modal footer -->
            <!-- <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
              </div> -->

        </div>
    </div>
</div>